using System.Collections.Generic;
public class ActionItem
{
    public string Name { get; set; }
    public string Action { get; set; }
    public string Group { get; set; }
    public string When { get; set; }
    public string Effect { get; set; }
    public string Context { get; set; }

    public string Location { get; set; }

    public string Wearing { get; set; }

    public bool Deferred { get; set; }

    public string Layer { get; set; }

    public EventTrigger Trigger { get; set; }

    public List<string> LinkedActions { get; set; }

    public ActionItem(string name, string action, string group, string when, string effect, string context, string location, string wearing, bool deferred, string layer, EventTrigger trigger)
    {
        Name = name;
        Action = action;
        Group = group;
        When = when;
        Effect = effect;
        Context = context;
        Location = location;
        Wearing = wearing;
        Deferred = deferred;
        Layer = layer;
        Trigger = trigger;
        LinkedActions = new List<string>();
    }
}
