using System;
using System.Collections.Generic;
using UnityEngine;
using System.Linq;
using SimpleJSON;

public class Storyboard : MVRScript
{
    private JSONStorableStringChooser actionsChooser;

    public override void Init()
    {
        try
        {
            InitOptionsUI();
        }
        catch (Exception e)
        {
            SuperController.LogError($"{nameof(Storyboard)}.{nameof(Init)}: {e}");
        }
    }

    private void InitOptionsUI()
    {
        Utils.OnInitUI(CreateUIElement);
        Utils.SetupButton(this, "Test Execute Action", OnExecuteActionButtonClicked, false).buttonColor = new Color(0.45f, 1f, 0.45f);
    }

    private void OnExecuteActionButtonClicked()
    {

    }

    public void Update()
    {
        try
        {
        }
        catch (Exception e) { SuperController.LogError("Exception caught: " + e); }
    }

    public override bool ShouldIgnore() => false;
}
